Package weka.gui.graphvisualizer

# Class GraphNode

java.lang.Object
weka.gui.graphvisualizer.GraphNode

All Implemented Interfaces:
  `GraphConstants`

public class GraphNode extends Object implements GraphConstants
This class represents a node in the Graph.

Version:
  $Revision: 1.5 $ - 23 Apr 2003 - Initial version (Ashraf M. Kibriya)
Author:
  Ashraf M. Kibriya (amk14@cs.waikato.ac.nz)

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`nodeType`
Type of node.
`int`
`x`
The x and y position of the node
`int`
`y`
The x and y position of the node

### Fields inherited from interface weka.gui.graphvisualizer.GraphConstants

`DIRECTED, DOUBLE, NORMAL, PLURAL_DUMMY, REVERSED, SINGULAR_DUMMY`

## Constructor Summary

Constructors
Constructor
Description
`GraphNode(String id, String label)`
Constructor
`GraphNode(String id, String label, int type)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object n)`
Returns true if passed in argument is an instance of GraphNode and is equal to this node.

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x

public int x
The x and y position of the node

### y

public int y
The x and y position of the node

### nodeType

public int nodeType
Type of node. Default is Normal node type

## Constructor Details

### GraphNode

public GraphNode(String id, String label)
Constructor

### GraphNode

public GraphNode(String id, String label, int type)
Constructor

## Method Details

### equals

public boolean equals(Object n)
Returns true if passed in argument is an instance of GraphNode and is equal to this node. Implemented to enable the use of contains method in Vector/FastVector class.

Overrides:
  `equals` in class `Object`